TechDraw RadiusDimension: Difference between revisions

From FreeCAD Documentation
No edit summary
(See also TechDraw API)
Line 20: Line 20:


==Scripting== <!--T:6-->
==Scripting== <!--T:6-->
{{Emphasis|See also:}} [[TechDraw API]] and [[FreeCAD Scripting Basics]].
Radius dimensions can be added to Pages using Python.

The Dimension Radius tool can be used in [[macros]] and from the [[Python]] console by using the following functions:

</translate>
</translate>
{{Code|code=
{{Code|code=
Line 29: Line 32:
}}
}}
<translate>
<translate>

==Notes== <!--T:7-->
==Notes== <!--T:7-->
* All Dimensions are extremely vulnerable to the infamous "topological naming" issue. It is not possible at this time to keep references to 2D (projected) or 3D (actual) geometrical objects in sync with changes in the model. It is recommended that Dimensions be added towards the end of the drawing creation process.
* All Dimensions are extremely vulnerable to the infamous "topological naming" issue. It is not possible at this time to keep references to 2D (projected) or 3D (actual) geometrical objects in sync with changes in the model. It is recommended that Dimensions be added towards the end of the drawing creation process.

Revision as of 15:51, 24 November 2018

TechDraw Dimension Radius

Menu location
TechDraw → Dimension Radius
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
None

Description

The Dimension Radius tool adds a radius dimension to a View. The dimension may be applied to any Edge in the drawing which is a circle or circular arc.

How to use

  1. Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
  2. Press the File:Dimension Radius.png Dimension Radius button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Options

None.

Properties

Template:TechDraw DimProps

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Radius tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Radius"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)

Notes

  • All Dimensions are extremely vulnerable to the infamous "topological naming" issue. It is not possible at this time to keep references to 2D (projected) or 3D (actual) geometrical objects in sync with changes in the model. It is recommended that Dimensions be added towards the end of the drawing creation process.